import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    json: T;
    space: string | number;
}
export interface O {
    string: string;
}
export default class Format<T> extends Functional<I<T>, O> {
    constructor(system: System);
    f({ json, space }: I<T>, done: any): void;
}
